Description

One way to deal with fact that all missions are different but have some similarities would be to describe all data products in virtual file
system. For example you would be able to get Cassini FGM data through "/CASSINI/MAG/FGM" and at the same time it should
allows you to get all data of one kind for a list of spacecrafts. Possible paths:

e "/CASSINI/MAG/FGM" should give access to Cassini FGM flux
¢ "/*/MAG/FGM" should give access to all spacecrafts FGM flux
e "/CASSINI|CLUSTER/MAG/FGM" should give access to Cassini and Cluster FGM flux

You should also be able to query and filter data, for example you may ask for all electric field data but only time series with a
sampling rate higher than 1kHz.

The solution may be to describe this in XML format, now we need to choose which attributes we need to describe everything.
Some random ideas:

The spacecraft node should be described correctly.
All data products description should at least contain:

¢ The link to download them, it need to be flexible and multiple(allow mirrors). We can embed JavaScript rules to generate URLs
from time windows.

The DATA geometry, is it a vector, a picture or something else?

The unit, no unit is one possible value.

The product name we expect to see in the cdf or tab header.

The list of sampling rates.

This solution has the big advantage to reduce code maintenance and put most information out of the code and allow users to add
product/missions/mirrors and tweak them.

History

#1 - 11/06/2015 06:03 PM - Alexis Jeandet

- Target version set to SciQLop-1.0

#2 - 02/07/2015 06:36 PM - Alexis Jeandet
- Project changed from QLop to SciQLOP
- Target version deleted (SciQLop-1.0)

#3 - 28/07/2015 05:27 PM - Alexis Jeandet

"This":http://www.spase-group.org/index.jsp seems to do the job, just need to implement a QAbstractltemModel from this.

#4 - 14/02/2019 09:50 AM - Alexis Jeandet

- Status changed from New to Closed
